/*
 * ncode.c - code conversion functions for ncode, combination code and KSC-5601.
 * Lee yongjae, setup@shiva.snu.ac.kr, 1996.2.28.
 *
 *
 * Copyright (c) 1996 by Lee yongjae, Narae in dept. of Computer Science
 * in Seoul National University, Korea.
 *
 * Narae is the name for Computer Science Society in dept. of
 * Computer Science in Seoul National University.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, 
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the copyright holder
 * not be used in advertising or publicity pertaining to distribution
 * of the software without specific, written prior permission.
 *
 * This software is provided "as is" without express or implied warranty.
 *
 */

#ifndef _ncode_h_
#define _ncode_h_

#ifdef __cplusplus
extern "C" { 
#endif


unsigned char *n_comb_to_n(/* unsigned short c, unsigned char *buf */);
/*
  Returns pointer to the next of the charaters consumed.
  If conversion fails, the return value is buf.
*/

unsigned char *n_n_to_comb(/* unsigned char *buf, unsigned short *c_ret */);
/*
  Returns pointer to the next of the charaters consumed.
  If conversion fails, the return value is buf.
*/

unsigned short n_ks_to_comb(/* unsigned short c */);
/* Returns 0 on conversion faiure. */

unsigned short n_comb_to_ks(/* unsigned short c */);
/* Returns 0 on conversion failure. */


#ifdef __cplusplus
}
#endif

#endif  /* _ncode_h_ */
